Changeset 99058


Ignore:
Timestamp:
Oct 25, 2012, 12:46:51 PM (7 years ago)
Author:
vince@…
Message:

Add postgresql 9.2 support (+postgresql92 option)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gis/qgis/Portfile

    r99013 r99058  
    6565}
    6666
    67 if {![variant_isset postgresql90] && ![variant_isset postgresql91]} {
     67if {![variant_isset postgresql90] && ![variant_isset postgresql91] && \
     68    ![variant_isset postgresql92]} {
    6869       
    6970        default_variants                +postgresql91
     
    115116}
    116117
    117 variant postgresql90    conflicts postgresql91 \
     118variant postgresql90    conflicts postgresql91 postgresql92 \
    118119                                                description "Use postgresql 9.0" {
    119120                                               
     
    123124}
    124125
    125 variant postgresql91    conflicts postgresql90 \
     126variant postgresql91    conflicts postgresql90 postgresql92 \
    126127                                                description "Use postgresql 9.1" {
    127128                                               
    128129        depends_lib-append              port:postgresql91
    129130        set PGSQL_DIR                   ${prefix}/lib/postgresql91
     131        configure.args-append   "-DPOSTGRES_CONFIG=${PGSQL_DIR}/bin/pg_config"
     132}
     133
     134variant postgresql92    conflicts postgresql90 postgresql91 \
     135                                                description "Use postgresql 9.1" {
     136                                               
     137        depends_lib-append              port:postgresql92
     138        set PGSQL_DIR                   ${prefix}/lib/postgresql92
    130139        configure.args-append   "-DPOSTGRES_CONFIG=${PGSQL_DIR}/bin/pg_config"
    131140}
Note: See TracChangeset for help on using the changeset viewer.